MESG(1)

NAME
mesg - display (do not display) messages from other users

SYNOPSIS
mesg [n | y]

DESCRIPTION
The mesg utility is invoked by a user to control write access others have to the terminal device associated with the standard error output. Write access is allowed by default, and programs such as talk(1) and write(1) may display messages on the terminal.

The options are as follows:

n   Disallows messages.

y   Permits messages to be displayed.

If no arguments are given, mesg displays the present message status to the standard error output.

FILES
/dev/[pt]ty[pq]?

EXIT STATUS
The mesg utility exits with one of the following values:

0   Messages are allowed.
1   Messages are not allowed.
1   An error has occurred.

SEE ALSO
biff(1), talk(1), write(1)

STANDARDS
The mesg utility is compliant with the p1003.1-2008 specification.

HISTORY
A mesg command appeared in AT&T UNIX.